# CommonProtos.ConfigurationItemOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface CommonProtos.ConfigurationItemOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.ConfigurationItem`, `CommonProtos.ConfigurationItem.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.ConfigurationItemOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` the metadata which will be passed to/from configuration store component.
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` the metadata which will be passed to/from configuration store component.
`Map<String,​String>` `getMetadataMap()` the metadata which will be passed to/from configuration store component.
`String` `getMetadataOrDefault​(String key, String defaultValue)` the metadata which will be passed to/from configuration store component.
`String` `getMetadataOrThrow​(String key)` the metadata which will be passed to/from configuration store component.
`String` `getValue()` Required.
`com.google.protobuf.ByteString` `getValueBytes()` Required.
`String` `getVersion()` Version is response only and cannot be fetched.
`com.google.protobuf.ByteString` `getVersionBytes()` Version is response only and cannot be fetched.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getValue

    String getValue()

     Required. The value of configuration item.

`string value = 1;`

Returns:
  The value.

#### getValueBytes

    com.google.protobuf.ByteString getValueBytes()

     Required. The value of configuration item.

`string value = 1;`

Returns:
  The bytes for value.

#### getVersion

    String getVersion()

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Returns:
  The version.

#### getVersionBytes

    com.google.protobuf.ByteString getVersionBytes()

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Returns:
  The bytes for version.

#### getMetadataCount

    int getMetadataCount()

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

#### containsMetadata

    boolean containsMetadata​(String key)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

#### getMetadata

    @Deprecated
    Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

#### getMetadataMap

    Map<String,​String> getMetadataMap()

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

#### getMetadataOrDefault

    String getMetadataOrDefault​(String key,
                                String defaultValue)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

#### getMetadataOrThrow

    String getMetadataOrThrow​(String key)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`